Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Create a comment

Idempotency Supported

Create a new comment for an entity. The newly added comment will be shown in the web interface as well.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/comments

Input Parameters

entity_type
required, enumerated string

Type of the entity to create the comment for.

Enum Values
customer

Entity that represents a customer

subscription

Entity that represents a subscription of a customer

invoice

Invoice description

quote

Entity that represents a quote

credit_note

Credit note description

entity_id
required, string, max chars=100

Unique identifier of the entity.

notes
required, string, max chars=1000

Actual notes for the comment.

added_by
optional, string, max chars=100

The user who created the comment. If created via API, this contains the name given for the API key used.

Returns

Comment object
Resource object representing comment